# 32/64bit spec-file
#
%define src_version 20131109
%define version     0.%{src_version}
%define src_name    umeplus-fonts

Name:		fonts-ttf-japanese
Summary:	Free Japanese TrueType fonts UmePlus
Summary(ja):  	UmePlus フォント
Version:	%{version}
Release:	%mkrel 2
License:	Distributable
URL:		http://www.geocities.jp/ep3797/modified_fonts_01.html
Group:		System/Fonts/True type
Source0:  	http://ftp.jaist.ac.jp/pub/sourceforge/m/project/md/mdk-ut/30-source/source/%{src_name}-%{src_version}.tar.lzma
Source3:	cidinst.japanese
Source4:	cidunin.japanese
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	freetype-tools
Obsoletes:	xtt-fonts
Provides:	xtt-fonts
Requires(post): fontconfig >= 2.4.1
Requires(postun): fontconfig >= 2.4.1

%description
This Package provides Free Japanese TrueType fonts UmePlus.
UmePlus fonts are modified Ume and M+ fonts for Japanese.

%description -l ja
UmePlusフォント は、梅フォント と M+フォント を組み合わせて作成されたゴシック体の日本語フォントです。
漢字には 梅フォント が、アルファベット/ひらがな/カタカナ には M+フォント が使用されています。

このパッケージで以下の2書体がインストールされます。
(UmePlusゴシック , UmePlus Pゴシック)

%prep
%setup -q -n %{src_name}-%{src_version}

%build

%install
rm -fr %buildroot
mkdir -p %buildroot/%{_datadir}/fonts/TTF/japanese
install -m 644 *.ttf %buildroot/%{_datadir}/fonts/TTF/japanese

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/japanese \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-japanese:pri=50

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,0755)
%doc ChangeLog README
%doc docs-*/ fontforge-scripts-*/
%dir %_datadir/fonts/TTF/japanese/
%_datadir/fonts/TTF/japanese/*.ttf
%_sysconfdir/X11/fontpath.d/ttf-japanese:pri=50


%changelog
* Tue Apr 09 2019 tex - 0.20131109-2pclos2019
- rebuild against updates

* Wed Nov 13 2013  pinoc <vogtpet at gmail.com> 0.20131109-1pclos2013
- update to 20131109

* Sun Feb 03 2013 pinoc <vogtpet at gmail.com> 0.20090706-11pclos2013
- rebuild on 64

* Wed Sep 23 2009 pcserver <pcserver at hushmail.com>
- update & rebuild
